package com.dgtly.companyext.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 商户审核对象 company_examine
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public class CompanyExamine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 商户(公司)Id */
    private Long companyId;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Integer status;

    /** 申请日期 */
    @Excel(name = "申请日期")
    private String applyDate;

    /** 审核日期 */
    @Excel(name = "审核日期")
    private String examineDate;

    /** 驳回理由 */
    @Excel(name = "驳回理由")
    private String rejectReason;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    public String getApplyDate() {
        return applyDate;
    }

    public void setApplyDate(String applyDate) {
        this.applyDate = applyDate;
    }

    public String getExamineDate() {
        return examineDate;
    }

    public void setExamineDate(String examineDate) {
        this.examineDate = examineDate;
    }

    public void setRejectReason(String rejectReason)
    {
        this.rejectReason = rejectReason;
    }

    public String getRejectReason() 
    {
        return rejectReason;
    }

    @Excel(name = "企业名称")
    private String companyName;

    /** 企业类型 */
    @Excel(name = "企业类型")
    private Integer companyType;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String detailAddress;

    /** 经度 */
    private String longitude;

    /** 纬度 */
    private String latitude;

    /** 企业法人 */
    @Excel(name = "企业法人")
    private String legalPerson;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String contactNumber;

    /** 成立日期 */
    @Excel(name = "成立日期")
    private String establishDate;

    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    private String unifiedSocialCreditCode;

    /** 营业执照 */
    private String businessLicenseUrl;

    /** 企业默认图片 */
    private String defaultImgUrl;

    /** 企业宣传图片 */
    private String propagandaImgUrl;

    /** 企业介绍 */
    @Excel(name = "企业介绍")
    private String companyIntroduce;

    /** 版本号 */
    private Integer versionNum;

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Integer getCompanyType() {
        return companyType;
    }

    public void setCompanyType(Integer companyType) {
        this.companyType = companyType;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public String getContactNumber() {
        return contactNumber;
    }

    public void setContactNumber(String contactNumber) {
        this.contactNumber = contactNumber;
    }

    public String getDetailAddress() {
        return detailAddress;
    }

    public void setDetailAddress(String detailAddress) {
        this.detailAddress = detailAddress;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getEstablishDate() {
        return establishDate;
    }

    public void setEstablishDate(String establishDate) {
        this.establishDate = establishDate;
    }

    public String getUnifiedSocialCreditCode() {
        return unifiedSocialCreditCode;
    }

    public void setUnifiedSocialCreditCode(String unifiedSocialCreditCode) {
        this.unifiedSocialCreditCode = unifiedSocialCreditCode;
    }

    public String getBusinessLicenseUrl() {
        return businessLicenseUrl;
    }

    public void setBusinessLicenseUrl(String businessLicenseUrl) {
        this.businessLicenseUrl = businessLicenseUrl;
    }

    public String getDefaultImgUrl() {
        return defaultImgUrl;
    }

    public void setDefaultImgUrl(String defaultImgUrl) {
        this.defaultImgUrl = defaultImgUrl;
    }

    public String getPropagandaImgUrl() {
        return propagandaImgUrl;
    }

    public void setPropagandaImgUrl(String propagandaImgUrl) {
        this.propagandaImgUrl = propagandaImgUrl;
    }

    public String getCompanyIntroduce() {
        return companyIntroduce;
    }

    public void setCompanyIntroduce(String companyIntroduce) {
        this.companyIntroduce = companyIntroduce;
    }

    public Integer getVersionNum() {
        return versionNum;
    }

    public void setVersionNum(Integer versionNum) {
        this.versionNum = versionNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyId", getCompanyId())
            .append("status", getStatus())
            .append("applyDate", getApplyDate())
            .append("examineDate", getExamineDate())
            .append("rejectReason", getRejectReason())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
